Skip to content
GET /unified/mdm/apps/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

device_type

The type of the device.

Possible values:
mobile
1 supported1 required
Jamf
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for the installed software record

1 supported
Jamf
supported
app_idstring

A platform-specific application identifier. Examples: bundle identifier (macOS/iOS), package name (Android/Linux), product code or app ID (Windows), depending on the underlying product.

1 supported
Jamf
supported
app_id_typestring

The type of application identifier provided in app_id

Possible values:
bundle_idpackage_nameproduct_codeapp_idunknown
1 supported
Jamf
supported
created_atstring · date-time

The date and time the installed software record was created

deviceobject

The device this software record is associated with

idstring
required·

The unique identifier for a device

install_pathstring

The install path of the software, when available

install_statestring

The installation state of the software on the device, when available from the underlying product

Possible values:
installedpendingfailedunknown
installed_atstring · date-time

The date and time the software was installed, when available

is_managedboolean

Whether the software is managed/deployed by the MDM/RMM product (as opposed to discovered/unmanaged), when available

is_system_appboolean

Whether the software is a system/built-in application, when available

1 supported
Jamf
supported
last_seen_atstring · date-time

The date and time the software was last observed on the device, when available

namestring

The name of the software/application

1 supported
Jamf
supported
platformstring

The platform family of the discovered/installed application

Possible values:
windowsmacoslinuxiosipadosandroidchromeosunknown
publisherstring

The publisher or vendor of the software/application

remote_dataRecord<string, any>

Raw data returned from the remote API call.

size_bytesinteger

The installed size of the software in bytes, when available

source_idstring

The identifier of the installed software record in the underlying product

tagsstring[]

Tags/labels associated with the installed software record

updated_atstring · date-time

The date and time the installed software record was last updated

versionstring

The installed version of the software/application

1 supported
Jamf
supported
curl -X GET 'https://api.truto.one/unified/mdm/apps/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/mdm/apps/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/mdm/apps/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'mdm',
  'apps',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "mdm",
        "apps",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())